# Class CartesianTablePlotData.PairCreator

java.lang.Object
uk.ac.starlink.ttools.plottask.CartesianTablePlotData.PairCreator

Enclosing class:
  `CartesianTablePlotData`

public static class CartesianTablePlotData.PairCreator extends Object
Class used for JEL manipulations.

This class is an implementation detail, but has to be public for JEL to be able to use it.

Since:
  13 Aug 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PairCreator()`

## Method Summary

Modifier and Type
Method
Description
`static double[]`
`createDoublePair(double lo, double hi)`
Returns a 2-element array composed from its 2 arguments.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PairCreator

public PairCreator()

## Method Details

### createDoublePair

public static double[] createDoublePair(double lo, double hi)
Returns a 2-element array composed from its 2 arguments.

Parameters:
  `lo` - arg 1
  `hi` - arg 2
Returns:
  {lo,hi}